Subject: Re: [PATCH 2/3] cxgb4: function namespace cleanup (v2)

From: Steve Wise <[email-masked]>
Date: Sat, 16 Oct 2010 22:30:16 -0500

On 10/16/2010 1:16 AM, Dimitris Michailidis wrote:
> Stephen Hemminger wrote:
>> On Fri, 15 Oct 2010 18:11:42 -0700
>> Dimitris Michailidis <[email-masked]> wrote:
>>
>>> Stephen Hemminger wrote:
>>>> Make functions only used in one file local.
>>>> Remove lots of dead code, relating to unsupported functions
>>>> in mainline driver like RSS, IPv6, and TCP offload.
>>> Thanks, this looks OK.  One exception, cxgb4_get_tcp_stats was 
>>> intended to be used by the rdma driver.  I see that driver doesn't 
>>> call it presently but if you don't mind can we give Steve a few 
>>> hours to tell us if he has any imminent plans to use it.  If he 
>>> doesn't offer to do something to use it for .37 it goes.
>>
>> The kernel source tree is not your development place holder tree.
>> At least #ifdef the code out for now.
>
> I am trying to protect Stephen Rothwell's time by checking that the IB 
> folks don't plan to add a call to this in their tree while we remove 
> the function in net-next.  There's supposed to be a call in the IB 
> driver.  I don't know why there isn't one or whether they are planning 
> to fix it for .37.  I see the potential for a linux-next conflict and 
> I am trying to avoid it.  #ifdef doesn't help, if it's not needed we 
> can remove it for good.

I'll add a patch this week to utilize the tcp stats.

Steve.